import hashlib


def hash_func(lodds, rodds, ratio, ratio_name, oddsv):
    m = hashlib.md5()
    a = str(lodds) + str(rodds) + str(ratio) + str(ratio_name) + str(oddsv)
    m.update(a.encode('utf-8'))
    c = m.hexdigest()
    return c